View .md

Crash endpoints (Client API: game servers)

3 FeatherPanel Client API: game servers endpoints from user/server/crash.php: methods, paths, auth, permissions, rate limits, parameters and responses.

Last synced from FeatherPanel 15b94e9 on .

On this page

Defined in backend/app/routes/user/server/crash.php. Authentication used here: Server access. Read Authentication for how to send credentials and Rate limits and errors for the response envelope.

Paths, methods, permissions and rate limits come from the route file. Summaries, parameters and response codes come from the OpenAPI annotations on the controllers; endpoints without annotations show only what the route file declares.

Endpoints

GET/api/user/servers/{uuidShort}/crash

Auth: Server accessDefault rate limit: 30 / minute (user-server-crash)Route name: user-server-crashroute source

Last crash and auto restart setting

ParameterInTypeRequiredDescription
uuidShortpathstringyes
curl -X GET "$PANEL_URL/api/user/servers/$UUID_SHORT/crash" \
  -H "Authorization: Bearer $FEATHERPANEL_API_KEY" \
  -H "Accept: application/json"

Responses: 200 Crash info

DELETE/api/user/servers/{uuidShort}/crash

Auth: Server accessDefault rate limit: 30 / minute (user-server-crash)Route name: user-server-crashroute source

Last crash and auto restart setting

ParameterInTypeRequiredDescription
uuidShortpathstringyes
curl -X DELETE "$PANEL_URL/api/user/servers/$UUID_SHORT/crash" \
  -H "Authorization: Bearer $FEATHERPANEL_API_KEY" \
  -H "Accept: application/json"

Responses: 200 Crash info

PUT/api/user/servers/{uuidShort}/crash/auto-restart

Auth: Server accessDefault rate limit: 10 / minute (user-server-crash-auto-restart)Route name: user-server-crash-auto-restartController: ServerCrashController::setAutoRestartroute source

Turn automatic restart after a crash on or off

ParameterInTypeRequiredDescription
uuidShortpathstringyes
Body fieldTypeRequiredDescription
enabledbooleanno
curl -X PUT "$PANEL_URL/api/user/servers/$UUID_SHORT/crash/auto-restart" \
  -H "Authorization: Bearer $FEATHERPANEL_API_KEY" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{"enabled":false}'

Responses: 200 Updated